Package Gnumed :: Package business :: Module gmForms :: Class cOOoForm |
[frames] | no frames]

# Class cOOoForm

source code

     object --+
              |
    cFormEngine --+
                  |
                 cOOoForm

A forms engine wrapping OOo.

Instance Methods
__init__(self, template_file=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
Inherited from `cFormEngine`: `edit`, `generate_output`, `substitute_placeholders` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, template_file=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)